Package com.sun.speech.freetts.clunits

# Class ClusterUnitPitchmarkGenerator

java.lang.Object
com.sun.speech.freetts.clunits.ClusterUnitPitchmarkGenerator

All Implemented Interfaces:
  `UtteranceProcessor`

public class ClusterUnitPitchmarkGenerator extends Object implements UtteranceProcessor
Calculates the pitchmarks. This class is an UtteranceProcessor that calculates target pitchmarks for the given utterance and adds the target_lpcres relation to the utterance with the pitchmark information.

See Also:
  - `LPCResult`

## Constructor Summary

Constructors
Constructor
Description
`ClusterUnitPitchmarkGenerator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Calculates the pitchmarks for the utterance and adds them as an LPCResult to the Utterance in a relation named "target_lpcres".
`String`
`toString()`
Retrieves the name of this utteranceProcessor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClusterUnitPitchmarkGenerator

public ClusterUnitPitchmarkGenerator()

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Calculates the pitchmarks for the utterance and adds them as an LPCResult to the Utterance in a relation named "target_lpcres".

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to process
Throws:
  `ProcessException` - if an error occurs while processing the utterance
See Also:
  - `LPCResult`

### toString

public String toString()
Retrieves the name of this utteranceProcessor.

Overrides:
  `toString` in class `Object`
Returns:
  the name of the utteranceProcessor